
 
// Detect the browser's prefixes 
var isPrefixed = (function () {
  var styles = window.getComputedStyle(document.documentElement, ''),
    pre = (Array.prototype.slice
      .call(styles)
      .join('') 
      .match(/-(moz|webkit|ms)-/) || (styles.OLink === '' && ['', 'o'])
    )[1],
    dom = ('WebKit|Moz|MS|O').match(new RegExp('(' + pre + ')', 'i'))[1];
  return {
    dom: dom,
    lowercase: pre,
    css: '-' + pre + '-',
    js: pre[0].toUpperCase() + pre.substr(1)
  };
})();

// Deals with prefixes
var prefix = isPrefixed.css;
var rotate = "rotate(";

// Deal with browsers that don't support 3d transforms
if(Modernizr.csstransforms3d) {
  rotate = "rotate3d(0,0,1,";
}

$(document).ready(function() {
	// Creates the circle things...
	$(".blog_section").each(function(j){ 
	  var circle   = "<div class='circle'><div class='inner-circle'></div><div class='mask-left'><div class='fill'></div></div><div class='mask-right'><div class='fill'></div></div><div class='mask-full'></div><a href='' class='closebtn'><img src='file:///android_asset/images/close_btn-light.svg' class='open_btn'><img src='file:///android_asset/images/open.svg' class='cl_btn'></a></div>";
	  $(".progress_scroll_circle_holder").append(circle);
	});

	$(".circle:eq(0)").addClass("is-active");
});
 
$(window).scroll(function (){
    var top = $(this).scrollTop();
 
    // Calculate each progress in blog_section
    $(".blog_section").each(function(i){
        var this_top    = $(this).offset().top - 100;
        var height      = $(this).height();
        var this_bottom = this_top + height;
        var percent     = 0;
 
        // Scrolled within current blog_section
        if (top >= this_top && top <= this_bottom) {
          percent = ((top - this_top) / height) * 100;
          if (percent >= 100) {
            percent = 100;
          }
        }
        else if (top > this_bottom) {
          percent = 100;          
        }
        
        // Adds the active class
        if(percent < 100 && percent > 0) {
          if(!$(".circle:eq("+ i + ")").hasClass("is-active")) {
            $(".circle:eq("+ i + ")").toggleClass("is-active");
          };
        } else {
            $(".circle:eq("+ i + ")").removeClass("is-active");          
        }

        // "Fills" the circles
        if(percent <= 50) {
          $(".mask-right .fill:eq("+i+")").css(prefix + "transform", rotate + ( 360 * percent / 100) + "deg)");
          $(".mask-left .fill:eq("+i+")").css(prefix + "transform", rotate + "0)");
        } else if( percent > 50) {
          $(".mask-left .fill:eq("+i+")").css(prefix + "transform", rotate + (( 360 * percent / 100) - 180) * 1 + "deg)");
          $(".mask-right .fill:eq("+i+")").css(prefix + "transform", rotate + "180deg)"); 
        }
    });
});
